import { HttpClientTestingModule } from '@angular/common/http/testing';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { UiLoaderModule } from '@ui/loader/loader.module';
import { DeltagareCardService } from '../../deltagare-card.service';
import { DeltagareTabSensitiveInformationComponent } from './deltagare-tab-sensitive-information.component';

describe('DeltagareTabSensitiveInformationComponent', () => {
  let component: DeltagareTabSensitiveInformationComponent;
  let fixture: ComponentFixture<DeltagareTabSensitiveInformationComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [DeltagareTabSensitiveInformationComponent],
      imports: [RouterTestingModule, HttpClientTestingModule, UiLoaderModule],
      providers: [DeltagareCardService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(DeltagareTabSensitiveInformationComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
